<!--
# Changelog

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
### Changed
 - Keep track of upcoming changes here

## [M.m.p] - YYYY-mm-dd

### Changed
  - List here changes in existing functionality

### Added
  - List here the new features.
  
### Deprecated
  - List here soon-to-be removed features.
  
### Fixed
  - List here any bug fixes

### Security
  - List here case of vulnerabilities
-->

## [3.0.2] - (2020-08-29)

### Changed
  - M0074FS-165: Invalid test on canonical path
  
## [3.0.1] - (2020-05-27)

### Changed
  - Flush FileOutputStream after writing data
  
## [3.0.0] - 2020-01-29

### Changed
  - Changed module name & organization
  - Renamed Java package to com.microej
  - Relicensed to BSP/SDK dual

## [2.3.0] - 2019-05-31

### Fixed
  - M0074FS-116: Add smaller negative values in TestSkip, add TestNegativeSkipWhenSupported
  - M0074FS-117: Add TestReadWithOffset and TestWriteWithOffset
  - M0074FS-112: Clean the user dir and tmpdir before launching tests

---
_Copyright 2019-2020 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  