/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event;

import ej.basedriver.Controller;

public class ControllerEventProxy extends EventProxy<Controller> implements ControllerEvent{

	@Override
	public int getState() {
		try {
			return invokeInt();
		} catch (Throwable e) {
			return Controller.UNKNOWN;
		}
	}
}
