/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.management;

import java.io.IOException;
import java.io.InputStream;

import ej.kf.Proxy;

/**
 *
 */
public class ExtraMetadataProxy extends Proxy<ExtraMetadataProxy> implements ExtraMetadata {

	@Override
	public String getIdentifier() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return ""; //$NON-NLS-1$
		}
	}

	@Override
	public InputStream getValue() throws IOException {
		try {
			return (InputStream) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return null;
		}
	}
}
