<!--
	Markdown
	Copyright 2015-2020 MicroEJ Corp. All rights reserved.
	MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
-->

## 3.2.0 (2020-09-25)
### Updated
  - Wadapps framework: update to version 1.11
  - Wadapps kernel common api: update to version 1.8

## 3.1.0 (2019-08-01)

### Added
  - S3: directly boot on current app if it contain an activity (bypass launcher).
  
### Changed
  - Use MMM.

## 3.0.2 (2019-04-08)
Bugfixes:
  - Cleanup project.

## 3.0.1 (2017-10-26)

### Fixed
  - Reduced log level of some implementations-specific traces.

## 3.0.0 (2017-10-23)

### Added
  - WI 20299: Move the application cleaner into the ActivitySchedulerLowMemory.
  
### Fixed
  - WI 20355: LaunchersListImpl and ActivitiesListImpl are not thread-safe.

## 2.2.0 (2017-08-28)

### Added
  - WI 20122: Need to choose (and wait for) the Launcher via a property.

## 2.1.5 (2017-05-10)

### Fixed
  - Low memory activity scheduler should not stop and start an activity if it is already shown.

## 2.1.4 (2017-04-28)

### Fixed
  - Low memory activities scheduler does not correctly destroy old activity if there is no registered launcher.

## 2.1.3 (2017-03-24)

### Fixed
  - Removed debug traces  

## 2.1.2 (2017-03-24)

### Fixed
  - WI 19432: Failures in wadapps activities lifecycle methods should be reported to the caller.  

## 2.1.1 (2017-01-12)

### Added
  - Added default ExitHandler (triggers a returns to Launcher on exit).
  
### Fixed
  - Added missing types.list and properties.list

## 2.1.0 (2017-01-05)

### Changed
  - Moved into "com.microej.library.wadapps#management" and changed base package name to "com.microej.wadapps.management".
  (except for ej.wadapps.management.activators.DefaultManagementActivator)

## 2.0.1 (2016-06-16)

### Added
  - Clear the current activity if we have not a launcher.

## 2.0.0 (2016-06-01)

### Changed
  - Remove the ApplicationMetadataProvider service.

## 1.1.3 (2016-04-12)

### Added
  - Initial public revision.
