/*
 * Java
 *
 * Copyright 2017-2020 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.kernel;

/**
 *
 */
public interface MicroUIDeadFeatureExceptionHandler {

	/**
	 * Called when a MicroUI-originated DeadFeatureException was caught by the
	 * kernel. This typically means that the currently displayed application was
	 * killed because of a watchdog expiration while it was in a MicroUI thread.
	 */
	public void onMicroUIDeadFeatureException();
}
