# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.7.0 - 2020-08-17

### Added

  - Update edc dependency to 1.3.2.
  - Add bon 1.4.0 dependency.
  - Constant "org.eclipse.paho.qos.weak" to configure whether the QoS data structures use weak references or not,
  	defaults to false.

## 1.6.0 - 2020-08-12

### Added

  - Property "org.eclipse.paho.inbound.queue.size" to configure the size of the message processing queue.

## 1.5.0 - 2019-03-13

### Changed

  - Use MMM.

## 1.4.2 - 2018-12-31

### Fixed

  - J0203CDC-121 Relax dependency to basictools

## 1.4.1 - 2018-10-11

### Fixed

  - J0203CDC-116 Fix a null pointer exception using `message`

## 1.4.0 - 2018-10-08

### Added

  - J0203CDC-107 Use `PackedMap`s instead of `Hashtable`s.
  - J0203CDC-109 Use `message` library to create log messages.

## 1.3.3 - 2016-11-23

### Added

  - WI18269 Use java.util.logging to log all mqtt messages.

## 1.3.2 - 2016-11-18

### Added

  - Update changelog.

## 1.3.1 - 2016-11-16

### Added

  - WI18191 Decrease the number of needed buffer in order to parse an incoming mqtt message.

## 1.3.0 - 2016-09-09

### Added

  - Able to increase the buffer of inflight messages.

## 1.2.0 - 2016-08-12

### Added

  - Remove duplicated code.

## 1.1.1 - 2016-04-01

### Added

  - Initial public revision.

---
_Copyright 2016-2020 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  